import request from '@/utils/request'

/**
 * 列异记录分页
 * @param {object} pageRequestDto 分页参数
 * @returns 分页结果
 * @author lroyia
 * @since 2021年4月25日 16:33:17
 */
export function abnormalListPage(pageRequestDto) {
  return request({
    url: '/corrections/abnormal/listPage',
    method: 'post',
    data: pageRequestDto
  })
}

/**
 * 列严记录分页
 * @param {object} pageRequestDto 分页参数
 * @returns 分页结果
 * @author lroyia
 * @since 2021年4月25日 16:33:17
 */
export function illegalListPage(pageRequestDto) {
  return request({
    url: '/corrections/illegal/listPage',
    method: 'post',
    data: pageRequestDto
  })
}

/**
 * 创建列异勘误流程
 * @param {string} listId 列入信息
 * @returns 创建结果
 * @author lroyia
 * @since 2021年4月25日 19:41:39
 */
export function createAbnormalCorrectionsTask(listId) {
  const form = new FormData()
  form.append('listId', listId)
  return request({
    url: '/corrections/abnormal/createTask',
    method: 'post',
    data: form
  })
}

/**
 *  获取勘误业务详情
 * @param {string} bizseq 业务号
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月25日 19:59:45
 */
export function getCorrectionsDetail(bizseq) {
  return request({
    url: `/corrections/abnormal/detail?bizseq=${bizseq}`,
    method: 'get'
  })
}

/**
 * 下一个列异勘误节点
 * @param {object} form 表单参数
 * @returns  提交结果
 * @author lroyia
 * @since 2021年4月26日 13:50:51
 */
export function nextAbnormalCorrectionsProcess(form) {
  const data = new FormData()
  for (const key in form) {
    data.append(key, form[key])
  }
  return request({
    url: '/corrections/abnormal/nextProcess',
    method: 'post',
    data
  })
}

/**
 * 创建列严勘误流程
 * @param {string} listId 列入信息
 * @returns 创建结果
 * @author lroyia
 * @since 2021年4月25日 19:41:39
 */
export function createIllegalCorrectionsTask(listId) {
  const form = new FormData()
  form.append('listId', listId)
  return request({
    url: '/corrections/illegal/createTask',
    method: 'post',
    data: form
  })
}

/**
 * 下一个列严勘误节点
 * @param {object} form 表单参数
 * @returns  提交结果
 * @author lroyia
 * @since 2021年4月26日 15:14:12
 */
export function nextIllegalCorrectionsProcess(form) {
  const data = new FormData()
  for (const key in form) {
    data.append(key, form[key])
  }
  return request({
    url: '/corrections/illegal/nextProcess',
    method: 'post',
    data
  })
}
/**
 * 加载原列异业务附件清单
 * @param {string} bizseq 勘误业务号
 */
export function loadOldFileList(bizseq) {
  const form = new FormData()
  form.append('bizseq', bizseq)
  return request({
    url: '/corrections/abnormal/loadOldFileList',
    method: 'post',
    data: form
  })
}
/**
 * 加载原列严业务附件清单
 * @param {string} busId 列严业务表主键id
 */
export function loadOldFileListIllegal(busId) {
  const form = new FormData()
  form.append('busId', busId)
  return request({
    url: '/corrections/illegal/loadOldFileList',
    method: 'post',
    data: form
  })
}
